### A free/open-source library for quantitative finance

Classes
ql/termstructures/yield/nonlinearfittingmethods.hpp File Reference

nonlinear methods to fit a bond discount function More...

`#include <ql/termstructures/yield/fittedbonddiscountcurve.hpp>`
`#include <ql/math/bspline.hpp>`
Include dependency graph for nonlinearfittingmethods.hpp:

## Classes

class | ExponentialSplinesFitting
| Exponential-splines fitting method. More...
class | NelsonSiegelFitting
| Nelson-Siegel fitting method. More...
class | SvenssonFitting
| Svensson Fitting method. More...
class | CubicBSplinesFitting
| CubicSpline B-splines fitting method. More...
class | SimplePolynomialFitting
| Simple polynomial fitting method. More...

## Detailed Description

nonlinear methods to fit a bond discount function